groups:
  - name: demo_application
    rules:
      - alert: application_http_duration_alert
        expr: rate(application_demo_http_req_duration_second_seconds_bucket{le="+Inf"}[5s]) >= 100
        for: 5s
        labels:
          severity: critical
        annotations:
          summary: "Application process http req take too long"
          description: "Endpoint {{ $labels.path }} is taking too long"
  - name: rabbitmq
    rules:
      - alert: rabbitmq_queue_message_ready_count_alert
        expr: rabbitmq_queue_messages_ready >= 50
        for: 3s
        labels:
          severity: critical
        annotations:
          summary: "RabbitMQ queue backpressure too high"
          description: "Queue {{ $labels.queue }} is taking too long"